|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||
ObjectRequestProcessor
TilesRequestProcessor
PageFlowRequestProcessor
public class PageFlowRequestProcessor
The Page Flow extension of the Struts RequestProcessor, which contains callbacks that are invoked during processing of a request to the Struts action servlet. This class is registered as the controller for all Struts modules derived from page flows.
| Field Summary |
|---|
| Fields inherited from class TilesRequestProcessor |
|---|
definitionsFactory, log |
| Fields inherited from class RequestProcessor |
|---|
actions, appConfig, INCLUDE_PATH_INFO, INCLUDE_SERVLET_PATH, moduleConfig, servlet |
| Constructor Summary | |
|---|---|
PageFlowRequestProcessor()
|
|
| Method Summary | |
|---|---|
protected boolean |
changeScheme(String webappRelativeURI,
String scheme,
int port,
FlowControllerHandlerContext context)
|
protected void |
doForward(String uri,
HttpServletRequest request,
HttpServletResponse response)
|
protected ActionMapping |
getBeginMapping()
|
void |
init(ActionServlet actionServlet,
ModuleConfig mc)
|
protected void |
initDefinitionsMapping()
Read component instance mapping configuration file. |
void |
process(HttpServletRequest request,
HttpServletResponse response)
|
protected Action |
processActionCreate(HttpServletRequest request,
HttpServletResponse response,
ActionMapping actionMapping)
|
protected ActionForm |
processActionForm(HttpServletRequest request,
HttpServletResponse response,
ActionMapping mapping)
|
protected boolean |
processActionOverride(HttpServletRequest request,
HttpServletResponse response)
The requested action can be overridden by a request parameter. |
protected ActionForward |
processActionPerform(HttpServletRequest request,
HttpServletResponse response,
Action action,
ActionForm form,
ActionMapping mapping)
|
ActionForward |
processException(HttpServletRequest request,
HttpServletResponse response,
Exception ex,
ActionForm form,
ActionMapping mapping)
|
protected void |
processForwardConfig(HttpServletRequest request,
HttpServletResponse response,
ForwardConfig fwd)
This override of the base method ensures that absolute URIs don't get the context path prepended, and handles forwards to special things like return-to="currentPage". |
ActionMapping |
processMapping(HttpServletRequest request,
HttpServletResponse response,
String path)
|
protected HttpServletRequest |
processMultipart(HttpServletRequest request)
If this is a multipart request, wrap it with a special wrapper. |
protected void |
processNoCache(HttpServletRequest request,
HttpServletResponse response)
Set the no-cache headers. |
protected boolean |
processPageFlowRequest(HttpServletRequest request,
HttpServletResponse response,
String uri)
Process any direct request for a page flow by forwarding to its "begin" action. |
protected void |
processPopulate(HttpServletRequest request,
HttpServletResponse response,
ActionForm form,
ActionMapping mapping)
|
protected boolean |
processRoles(HttpServletRequest request,
HttpServletResponse response,
ActionMapping mapping)
|
protected boolean |
processSharedFlowMapping(HttpServletRequest request,
HttpServletResponse response,
String actionPath,
FlowController currentFlowController)
|
protected ActionMapping |
processUnresolvedAction(String actionPath,
HttpServletRequest request,
HttpServletResponse response,
Object returningForm)
|
protected boolean |
shouldDoSecureForwards()
Deprecated. Use LegacySettings.shouldDoSecureForwards() instead. |
| Methods inherited from class TilesRequestProcessor |
|---|
getDefinitionsFactory, internalModuleRelativeForward, internalModuleRelativeInclude, processTilesDefinition |
| Methods inherited from class RequestProcessor |
|---|
destroy, doInclude, getDebug, getInternal, getServletContext, log, log, processActionForward, processContent, processForward, processInclude, processLocale, processPath, processPreprocess, processValidate |
| Methods inherited from class Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public PageFlowRequestProcessor()
| Method Detail |
|---|
protected Action processActionCreate(HttpServletRequest request,
HttpServletResponse response,
ActionMapping actionMapping)
throws IOException
processActionCreate in class RequestProcessorIOException
protected ActionForm processActionForm(HttpServletRequest request,
HttpServletResponse response,
ActionMapping mapping)
processActionForm in class RequestProcessor
protected void processPopulate(HttpServletRequest request,
HttpServletResponse response,
ActionForm form,
ActionMapping mapping)
throws ServletException
processPopulate in class RequestProcessorServletException
protected boolean processActionOverride(HttpServletRequest request,
HttpServletResponse response)
throws IOException,
ServletException
request - the current HttpServletRequestresponse - the current HttpServletResponse
true if the action was overridden by a request parameter, in which case the request
was forwarded.
IOException
ServletException
protected boolean processPageFlowRequest(HttpServletRequest request,
HttpServletResponse response,
String uri)
throws IOException,
ServletException
request - the current HttpServletRequestresponse - the current HttpServletResponseuri - the decoded request URI
true if the request was for a page flow, in which case it was forwarded.
IOException
ServletException
public void process(HttpServletRequest request,
HttpServletResponse response)
throws IOException,
ServletException
process in class RequestProcessorIOException
ServletExceptionprotected HttpServletRequest processMultipart(HttpServletRequest request)
processMultipart in class RequestProcessorrequest - The HttpServletRequest we are processingprotected ActionMapping getBeginMapping()
public ActionForward processException(HttpServletRequest request,
HttpServletResponse response,
Exception ex,
ActionForm form,
ActionMapping mapping)
throws IOException,
ServletException
processException in class RequestProcessorIOException
ServletException
public void init(ActionServlet actionServlet,
ModuleConfig mc)
throws ServletException
init in class TilesRequestProcessorServletException
protected void initDefinitionsMapping()
throws ServletException
initDefinitionsMapping in class TilesRequestProcessorServletException
public ActionMapping processMapping(HttpServletRequest request,
HttpServletResponse response,
String path)
throws IOException
processMapping in class RequestProcessorIOException
protected boolean processSharedFlowMapping(HttpServletRequest request,
HttpServletResponse response,
String actionPath,
FlowController currentFlowController)
throws IOException
IOException
protected ActionMapping processUnresolvedAction(String actionPath,
HttpServletRequest request,
HttpServletResponse response,
Object returningForm)
throws IOException
IOException
protected boolean processRoles(HttpServletRequest request,
HttpServletResponse response,
ActionMapping mapping)
throws IOException,
ServletException
processRoles in class RequestProcessorIOException
ServletException
protected void processForwardConfig(HttpServletRequest request,
HttpServletResponse response,
ForwardConfig fwd)
throws IOException,
ServletException
processForwardConfig in class TilesRequestProcessorIOException
ServletException
protected boolean changeScheme(String webappRelativeURI,
String scheme,
int port,
FlowControllerHandlerContext context)
throws URISyntaxException,
IOException,
ServletException
URISyntaxException
IOException
ServletExceptionprotected boolean shouldDoSecureForwards()
LegacySettings.shouldDoSecureForwards() instead.
protected void doForward(String uri,
HttpServletRequest request,
HttpServletResponse response)
throws IOException,
ServletException
doForward in class TilesRequestProcessorIOException
ServletException
protected void processNoCache(HttpServletRequest request,
HttpServletResponse response)
processNoCache in class RequestProcessor
protected ActionForward processActionPerform(HttpServletRequest request,
HttpServletResponse response,
Action action,
ActionForm form,
ActionMapping mapping)
throws IOException,
ServletException
processActionPerform in class RequestProcessorIOException
ServletException
|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||